From 1cf0f4bcf65fc6ee8e2a9c0a0fb0d532ce913a27 Mon Sep 17 00:00:00 2001
From: Walter Doekes <walter+github@wjd.nu>
Date: Sun, 20 Sep 2015 11:48:50 +0200
Subject: [PATCH 11/15] Move ASTERISK_VERSION_NUM setting to ./configure
 invocation:

Now do:

    ./configure --with-astversion=110102

if you have Asterisk version 11.1.2.
---
 configure.in | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/configure.in b/configure.in
index 9edd7a8..0a0c861 100644
--- a/configure.in
+++ b/configure.in
@@ -23,6 +23,15 @@ AC_ARG_WITH(
 	[ with_asterisk="../include /usr/include /usr/local/include /opt/local/include" ]
 )
 
+dnl  Required: asterisk version
+AC_ARG_WITH(
+	[astversion],
+	AS_HELP_STRING([--with-astversion=MMmmuu], [set asterisk version to 10813 for version 1.8.13]),
+	[ if ! test "$((with_astversion + 0))" -eq "$with_astversion" ; then AC_MSG_ERROR([Invalid --with-astversion=MMmmuu value]); fi ],
+	[ AC_MSG_ERROR([Please set --with-astversion=MMmmuu (major.minor.micro)]) ]
+)
+CPPFLAGS="$CPPFLAGS -DASTERISK_VERSION_NUM=$with_astversion"
+
 AC_ARG_ENABLE(
 	[debug], 
 	AS_HELP_STRING([--enable-debug], [enable code debugging]),

